From 1dbe0ab21e24984cfff11e50be26e0569d959263 Mon Sep 17 00:00:00 2001
From: Frank Steinborn <steinex@nognu.de>
Date: Wed, 24 Jul 2019 15:23:27 +0200
Subject: [PATCH] chatty: update to 0.9.7.

---
 srcpkgs/chatty/template | 16 +++++-----------
 1 file changed, 5 insertions(+), 11 deletions(-)

diff --git a/srcpkgs/chatty/template b/srcpkgs/chatty/template
index 7b0b842b6d5..ccf0381ef3c 100644
--- a/srcpkgs/chatty/template
+++ b/srcpkgs/chatty/template
@@ -1,6 +1,6 @@
-#Template file for 'chatty'
+# Template file for 'chatty'
 pkgname=chatty
-version=0.9.1
+version=0.9.7
 revision=1
 archs=noarch
 hostmakedepends="openjdk gradle"
@@ -9,14 +9,8 @@ short_desc="Chatty is a Twitch Chat Client for Desktop"
 maintainer="Phenethylamine <beta.phenylethylamine@gmail.com>"
 license="GPL-3"
 homepage="http://chatty.github.io/"
-distfiles="
- https://github.com/chatty/chatty/archive/v${version}.tar.gz
- http://chatty.github.io/Chatty_icon_256x256.png>chatty.png"
-skip_extraction="chatty.png"
-checksum="
- 0286f5987599cbca2862a286fdb89bb4371e6c64e849652a038546c489b68ef7
- 8821ea5bca093b01ec244b80a76df95211aa2c151fc6320e0d3e98380108d904"
-broken="http://chatty.github.io/Chatty_icon_256x256.png is 404"
+distfiles="https://github.com/chatty/chatty/archive/v${version}.tar.gz"
+checksum="e5c2eb006db593ce0fc6fb71e602ad641dc3ff970b770dce73155c67d87afbea"
 
 do_build() {
 	gradle shadowJar
@@ -37,7 +31,7 @@ do_install() {
 
 	vbin $FILESDIR/${pkgname}
 
-	vinstall ${XBPS_SRCDISTDIR}/${pkgname}-${version}/chatty.png 644 usr/share/pixmaps
+	vinstall src/${pkgname}/gui/app_main_64.png 644 usr/share/pixmaps chatty.png
 
 	vlicense assets/LICENSE
 }
